import { BoxProps, CardProps } from '@mui/material';
import { BusyProps, BusyVariant, BusyCircularProgressProps, BusyLinearProgressProps, WithChildren } from '@xylabs/react-shared';
import React from 'react';

interface BusyBoxProps extends BoxProps, BusyProps {
    background?: boolean;
    paper?: boolean;
}
declare const BusyBox: React.FC<BusyBoxProps>;

interface BusyCardProps extends CardProps {
    busy?: boolean;
    busyMinimum?: number;
    busyVariant?: BusyVariant;
    busyVariantProps?: BusyCircularProgressProps | BusyLinearProgressProps;
}
declare const BusyCard: React.FC<WithChildren<BusyCardProps>>;

type FlexBoxProps = BusyBoxProps;

declare const FlexCol: React.FC<FlexBoxProps>;
declare const FlexGrowCol: React.FC<FlexBoxProps>;
//# sourceMappingURL=FlexCol.d.ts.map

declare const FlexRow: React.FC<FlexBoxProps>;
declare const FlexGrowRow: React.FC<FlexBoxProps>;
//# sourceMappingURL=FlexRow.d.ts.map

type HoverScaleProps = FlexBoxProps & {
    scale?: number;
};
declare const HoverScale: React.FC<HoverScaleProps>;

declare const useBusyTiming: (busy?: boolean, busyMinimum?: number) => boolean;

export { BusyBox, BusyCard, FlexCol, FlexGrowCol, FlexGrowRow, FlexRow, HoverScale, useBusyTiming };
export type { BusyBoxProps, BusyCardProps, FlexBoxProps, HoverScaleProps };
